- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_destroy()

## Synopsis

    void
    mongoc_collection_destroy (mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

This function shall destroy a mongoc_collection_t and its associated resources. Does nothing if `collection` is NULL.

Warning

Always destroy a mongoc_cursor_t created from a collection before destroying the collection.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.